RDKit: RDKit::MarvinMol Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MarvinMol Class Reference

`#include <MarvinDefs.h>`

Inheritance diagram for RDKit::MarvinMol:

## Public Member Functions
| MarvinMol ()
| MarvinMol (ptree &molTree)
MarvinMolBase * | copyMol (const std::string &idAppend) const override
| ~MarvinMol () override
void | pushOwnedAtom (MarvinAtom *atom) override
void | pushOwnedBond (MarvinBond *bond) override
void | removeOwnedAtom (MarvinAtom *atom) override
void | removeOwnedBond (MarvinBond *bond) override
std::string | role () const override
bool | hasAtomBondBlocks () const override
bool | isPassiveRoleForContraction () const override
std::string | toString () const override
ptree | toPtree () const override
std::string | generateMolString ()
ptree | toMolPtree () const
Public Member Functions inherited from RDKit::MarvinMolBase
void | addSgroupsToPtree (ptree &pt) const
void | setPrecision (unsigned int precision)
int | getExplicitValence (const MarvinAtom &marvinAtom) const
| MarvinMolBase ()
virtual | ~MarvinMolBase ()
int | getAtomIndex (std::string id) const
int | getBondIndex (std::string id) const
const std::vector< std::string > | getBondList () const
const std::vector< std::string > | getAtomList () const
bool | AnyOverLappingAtoms (const MarvinMolBase *otherMol) const
void | cleanUpNumbering (int &molCount, int &atomCount, int &bondCount, int &sgCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
virtual void | cleanUpNumberingMolsAtomsBonds (int &molCount, int &atomCount, int &bondCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
void | cleanUpSgNumbering (int &sgCount, std::map< std::string, std::string > &sgMap)
virtual IsSgroupInAtomSetResult | isSgroupInSetOfAtoms (const std::vector< MarvinAtom * > &setOfAtoms) const
MarvinAtom * | findAtomByRef (std::string atomId)
MarvinBond * | findBondByRef (std::string atomId)
void | prepSgroupsForRDKit ()
void | processSgroupsFromRDKit ()
virtual bool | isPassiveRoleForExpansion () const
virtual void | processSpecialSgroups ()
virtual void | parseMoleculeSpecific (RDKit::RWMol *mol, std::unique_ptr< SubstanceGroup > &sgroup, int sequenceId)
bool | has2dCoords () const
bool | has3dCoords () const
bool | hasAny3dCoords () const
bool | hasAny2dCoords () const
bool | hasCoords () const
void | removeCoords ()
void | parseAtomsAndBonds (ptree &molTree)

## Public Attributes
std::vector< std::unique_ptr< MarvinAtom > > | ownedAtoms
std::vector< std::unique_ptr< MarvinBond > > | ownedBonds
Public Attributes inherited from RDKit::MarvinMolBase
std::string | molID
std::string | id
unsigned int | coordinatePrecision = 6
std::vector< MarvinAtom * > | atoms
std::vector< MarvinBond * > | bonds
std::vector< std::unique_ptr< MarvinMolBase > > | sgroups
MarvinMolBase * | parent

## Additional Inherited Members
Static Public Member Functions inherited from RDKit::MarvinMolBase
static bool | atomRefInAtoms (MarvinAtom *a, std::string b)
static bool | bondRefInBonds (MarvinBond *a, std::string b)
static bool | molIDInSgroups (std::string a, std::string b)

## Detailed Description

Definition at line 560 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## ◆ MarvinMol() [1/2]

RDKit::MarvinMol::MarvinMol | ( |  | ) |

## ◆ MarvinMol() [2/2]

RDKit::MarvinMol::MarvinMol | ( | ptree & | molTree | ) |

## ◆ ~MarvinMol()

RDKit::MarvinMol::~MarvinMol | ( |  | ) |
| override

## Member Function Documentation

## ◆ copyMol()

MarvinMolBase * RDKit::MarvinMol::copyMol | ( | const std::string & | idAppend | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

References RDKit::MarvinMolBase::MarvinMolBase().

## ◆ generateMolString()

std::string RDKit::MarvinMol::generateMolString | ( |  | ) |

## ◆ hasAtomBondBlocks()

bool RDKit::MarvinMol::hasAtomBondBlocks | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## ◆ isPassiveRoleForContraction()

bool RDKit::MarvinMol::isPassiveRoleForContraction | ( |  | ) | const
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ pushOwnedAtom()

void RDKit::MarvinMol::pushOwnedAtom | ( | MarvinAtom * | atom | ) |
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ pushOwnedBond()

void RDKit::MarvinMol::pushOwnedBond | ( | MarvinBond * | bond | ) |
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ removeOwnedAtom()

void RDKit::MarvinMol::removeOwnedAtom | ( | MarvinAtom * | atom | ) |
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ removeOwnedBond()

void RDKit::MarvinMol::removeOwnedBond | ( | MarvinBond * | bond | ) |
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ role()

std::string RDKit::MarvinMol::role | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## ◆ toMolPtree()

ptree RDKit::MarvinMol::toMolPtree | ( |  | ) | const

## ◆ toPtree()

ptree RDKit::MarvinMol::toPtree | ( |  | ) | const
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ toString()

std::string RDKit::MarvinMol::toString | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## Member Data Documentation

## ◆ ownedAtoms

std::vector<std::unique_ptr<MarvinAtom> > RDKit::MarvinMol::ownedAtoms

Definition at line 569 of file MarvinDefs.h.

## ◆ ownedBonds

std::vector<std::unique_ptr<MarvinBond> > RDKit::MarvinMol::ownedBonds

Definition at line 570 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h